org.apache.avro.specific

## Annotation Type FixedSize

-     @Retention(value=RUNTIME)
       @Target(value=TYPE)
       @Documented
      public @interface FixedSize

  Declares the size of implementations of `GenericFixed`.

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `int` | `value` The declared size of instances of classes with this annotation.

- - ### Element Detail

    - #### value

          public abstract int value

      The declared size of instances of classes with this annotation.

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.